using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFEditColumnFillMapDetailMap : APTEntityBaseMap<T_PF_EDIT_COLUMN_FILL_MAP_D>
	{
		public override void Configure(EntityTypeBuilder<T_PF_EDIT_COLUMN_FILL_MAP_D> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.SRC_FIELD_NAME).HasMaxLength(400);
			builder.Property(t => t.DEST_FIELD_NAME).HasMaxLength(400);

			builder.HasOne(t => t.Nav_EditColumnFillMap).WithMany(t => t.Nav_Details).HasForeignKey(t => t.EDIT_COLUMN_FILL_MAP_ID).OnDelete(DeleteBehavior.Restrict);
		}
		 
	}
}
